timing.cpp File Reference

Implementation of Timing classes. More...

`#include <itpp/config.h>`
`#include <ctime>`
`#include <itpp/base/timing.h>`
`#include <cstdio>`
`#include <iostream>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

void | itpp::tic ()
| Reset and start timer.
double | itpp::toc ()
| Returns the elapsed time since last tic()
void | itpp::toc_print ()
| Prints the elapsed time since last tic()
void | itpp::pause (double t=-1)
| pause More...

## Variables

Real_Timer | itpp::__tic_toc_timer
| Global object for tic and toc functions.

## Detailed Description

Implementation of Timing classes.

Author
  Thomas Eriksson, Tony Ottosson, Tobias Ringstrom and Adam Piatyszek

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file timing.cpp.

Generated on Thu Aug 20 2015 21:02:51 for IT++ by Doxygen 1.8.9.1